Package com.microblink.blinkid.fragment.overlay.components.settings

# Class OverlayCameraSettings.Builder

java.lang.Object
com.microblink.blinkid.fragment.overlay.components.settings.OverlayCameraSettings.Builder

Enclosing class:
  OverlayCameraSettings

public static class OverlayCameraSettings.Builder extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OverlayCameraSettings`
  `build()`
  `OverlayCameraSettings.Builder`
  `setAspectMode(CameraAspectMode cameraAspectMode)`
  `OverlayCameraSettings.Builder`
  `setForceLegacyApi(boolean forceLegacyCameraApi)`
  `OverlayCameraSettings.Builder`
  `setIsOptimizedForNearScan(boolean isOptimizedForNearScan)`
  `OverlayCameraSettings.Builder`
  `setIsPinchToZoomAllowed(boolean isPinchToZoomAllowed)`
  `OverlayCameraSettings.Builder`
  `setPreviewZoomScale(float previewZoomScale)`
  `OverlayCameraSettings.Builder`
  `setSurface(com.microblink.blinkid.view.surface.CameraSurface cameraSurface)`
  `OverlayCameraSettings.Builder`
  `setType(CameraType cameraType)`
  `OverlayCameraSettings.Builder`
  `setVideoResolutionPreset(VideoResolutionPreset videoResolutionPreset)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### setType

    @NonNull public OverlayCameraSettings.Builder setType(@NonNull CameraType cameraType)

  - ### setIsOptimizedForNearScan

    @NonNull public OverlayCameraSettings.Builder setIsOptimizedForNearScan(boolean isOptimizedForNearScan)

  - ### setAspectMode

    @NonNull public OverlayCameraSettings.Builder setAspectMode(@NonNull CameraAspectMode cameraAspectMode)

  - ### setPreviewZoomScale

    public OverlayCameraSettings.Builder setPreviewZoomScale(@FloatRange(from=1.0,to=2.0) float previewZoomScale)

  - ### setSurface

    @NonNull public OverlayCameraSettings.Builder setSurface(@NonNull com.microblink.blinkid.view.surface.CameraSurface cameraSurface)

  - ### setForceLegacyApi

    @NonNull public OverlayCameraSettings.Builder setForceLegacyApi(boolean forceLegacyCameraApi)

  - ### setIsPinchToZoomAllowed

    @NonNull public OverlayCameraSettings.Builder setIsPinchToZoomAllowed(boolean isPinchToZoomAllowed)

  - ### setVideoResolutionPreset

    @NonNull public OverlayCameraSettings.Builder setVideoResolutionPreset(@NonNull VideoResolutionPreset videoResolutionPreset)

  - ### build

    @NonNull public OverlayCameraSettings build()